<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sooka.system.mapper.TUPeoplemarryinfosingleMapper">
    
    <resultMap type="TUPeoplemarryinfosingle" id="TUPeoplemarryinfosingleResult">
        <result property="id"    column="id"    />
        <result property="status"    column="status"    />
        <result property="remark"    column="remark"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="certnumberman"    column="certnumberman"    />
        <result property="nameman"    column="nameman"    />
        <result property="code"    column="code"    />
        <result property="message"    column="message"    />
        <result property="result"    column="result"    />
    </resultMap>

    <sql id="selectTUPeoplemarryinfosingleVo">
        select id, status, remark, del_flag, create_by, create_time, update_by, update_time, certnumberman, nameman, code, message, result from t_u_peoplemarryinfosingle
    </sql>

    <select id="selectTUPeoplemarryinfosingleList" parameterType="TUPeoplemarryinfosingle" resultMap="TUPeoplemarryinfosingleResult">
        <include refid="selectTUPeoplemarryinfosingleVo"/>
        <where>  
            <if test="status != null  and status != ''"> and status = #{status}</if>
            <if test="certnumberman != null  and certnumberman != ''"> and certnumberman = #{certnumberman}</if>
            <if test="nameman != null  and nameman != ''"> and nameman = #{nameman}</if>
            <if test="code != null  and code != ''"> and code = #{code}</if>
            <if test="message != null  and message != ''"> and message = #{message}</if>
            <if test="result != null  and result != ''"> and result = #{result}</if>
        </where>
    </select>
    
    <select id="selectTUPeoplemarryinfosingleById" parameterType="String" resultMap="TUPeoplemarryinfosingleResult">
        <include refid="selectTUPeoplemarryinfosingleVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertTUPeoplemarryinfosingle" parameterType="TUPeoplemarryinfosingle">
        insert into t_u_peoplemarryinfosingle
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id != null">id,</if>
            <if test="status != null">status,</if>
            <if test="remark != null">remark,</if>
            <if test="delFlag != null">del_flag,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="certnumberman != null">certnumberman,</if>
            <if test="nameman != null">nameman,</if>
            <if test="code != null">code,</if>
            <if test="message != null">message,</if>
            <if test="result != null">result,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">#{id},</if>
            <if test="status != null">#{status},</if>
            <if test="remark != null">#{remark},</if>
            <if test="delFlag != null">#{delFlag},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="certnumberman != null">#{certnumberman},</if>
            <if test="nameman != null">#{nameman},</if>
            <if test="code != null">#{code},</if>
            <if test="message != null">#{message},</if>
            <if test="result != null">#{result},</if>
         </trim>
    </insert>

    <update id="updateTUPeoplemarryinfosingle" parameterType="TUPeoplemarryinfosingle">
        update t_u_peoplemarryinfosingle
        <trim prefix="SET" suffixOverrides=",">
            <if test="status != null">status = #{status},</if>
            <if test="remark != null">remark = #{remark},</if>
            <if test="delFlag != null">del_flag = #{delFlag},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="certnumberman != null">certnumberman = #{certnumberman},</if>
            <if test="nameman != null">nameman = #{nameman},</if>
            <if test="code != null">code = #{code},</if>
            <if test="message != null">message = #{message},</if>
            <if test="result != null">result = #{result},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteTUPeoplemarryinfosingleById" parameterType="String">
        delete from t_u_peoplemarryinfosingle where id = #{id}
    </delete>

    <delete id="deleteTUPeoplemarryinfosingleByIds" parameterType="String">
        delete from t_u_peoplemarryinfosingle where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>

</mapper>